Package Details: cinnamon-git 4.2.0.r3.g4d1da807e-1

Git Clone URL: https://aur.archlinux.org/cinnamon-git.git (read-only)
Package Base: cinnamon-git
Description: Linux desktop which provides advanced innovative features and a traditional user experience
Upstream URL: https://github.com/linuxmint/cinnamon
Licenses: GPL2
Conflicts: cinnamon
Provides: cinnamon=4.2.0.r3.g4d1da807e
Submitter: chenxiaolong
Maintainer: eschwartz
Last Packager: eschwartz
Votes: 90
Popularity: 0.051221
First Submitted: 2011-12-21 05:54
Last Updated: 2019-07-03 20:33

Required by (31)

Sources (4)

Anonymous comment on 2012-01-06 14:12

@chenxiaolong I've tested with GDM and it loads perfectly. So there's some kind of problem between LXDM and Cinnamon files...

stefanwilkens commented on 2012-01-06 11:42

current git fails to build:

make[2]: Entering directory `/home/stefan/Desktop/cinnamon-git/src/Cinnamon-build/js'
make[2]: *** No rule to make target `ui/placesManager.js', needed by `all-am'. Stop.
make[2]: Leaving directory `/home/stefan/Desktop/cinnamon-git/src/Cinnamon-build/js'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/stefan/Desktop/cinnamon-git/src/Cinnamon-build'
make: *** [all] Error 2

chenxiaolong commented on 2012-01-05 02:26

@franzrogar: Could you try with another display manager, like GDM or LightDM? I'll test with LXDM tomorrow.

Anonymous comment on 2012-01-04 09:24

Compiles perfectly.

Launching with LXDE fails to me. After selecting Cinnamon and login, it just keeps going back to LXDM login screen without any visual warning/error at all. So I can't test it. I can launch perfectly GNOME3, LXDE, and others.

Any idea why this may be happening?

chenxiaolong commented on 2012-01-04 06:56

Why was this package flagged out-of-date? :( It builds and runs fine for me...

chenxiaolong commented on 2012-01-03 20:16

@mandog: I'm glad it works for you :)

mandog commented on 2012-01-03 19:44

built flawlessly for me no errors entry in gdm was fine seems quite fast so far

chenxiaolong commented on 2011-12-27 15:57

That's weird. I already have a /usr/lib/libltdl.so file and pacman says that it was created by the libltdl package:

┌─(chenxiaolong@cxl-4270cto)─────────────────────────────(Tue, 27 Dec 2011 10:55:50 -0500)─┐
├─────────────────(/home/chenxiaolong/sources/cinnamon/src/Cinnamon-build)─────────────────┘
└─⇒ $ pacman -Qo /usr/lib/libltdl.so
/usr/lib/libltdl.so is owned by libltdl 2.4.2-2
┌─(chenxiaolong@cxl-4270cto)─────────────────────────────(Tue, 27 Dec 2011 10:56:13 -0500)─┐
├─────────────────(/home/chenxiaolong/sources/cinnamon/src/Cinnamon-build)─────────────────┘
└─⇒ $ pacman -Qo /usr/lib/libltdl.so.7
/usr/lib/libltdl.so.7 is owned by libltdl 2.4.2-2

Anonymous comment on 2011-12-27 13:19

When compiling, I got an error along the lines of "error could not find -lltdl" so I created a symbolic link in /usr/lib from libltdl.so.7 to libltdl.so

chenxiaolong commented on 2011-12-27 04:53

@Aesthetikx: Could you explain more about the libltdl issue? I can't seem to reproduce it (although I have 10 billion packages installed from the repos and the AUR, maybe some package fixed it :D).